"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _express = require("express");

var _express2 = _interopRequireDefault(_express);

var _graphqlServerExpress = require("graphql-server-express");

var _graphqlTools = require("graphql-tools");

var _bodyParser = require("body-parser");

var _bodyParser2 = _interopRequireDefault(_bodyParser);

var _cors = require("cors");

var _cors2 = _interopRequireDefault(_cors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var server = function server(_ref) {
  var _ref$schema = _ref.schema,
      typeDefs = _ref$schema.types,
      resolvers = _ref$schema.resolvers,
      _ref$context = _ref.context,
      context = _ref$context === undefined ? function (req) {
    return {};
  } : _ref$context,
      _ref$port = _ref.port,
      port = _ref$port === undefined ? 3002 : _ref$port,
      _ref$endpoint = _ref.endpoint,
      endpoint = _ref$endpoint === undefined ? "/graphql" : _ref$endpoint;

  var app = (0, _express2.default)();

  app.use((0, _cors2.default)({ origin: function origin(_origin, cb) {
      return cb(null, true);
    }, credentials: true }));
  app.use(endpoint, _bodyParser2.default.json(), (0, _graphqlServerExpress.graphqlExpress)(function (req) {
    return { schema: (0, _graphqlTools.makeExecutableSchema)({ typeDefs: typeDefs, resolvers: resolvers }), context: context(req) };
  }));

  var server = app.listen(port, function () {
    return console.log("Running on http://localhost:" + server.address().port + endpoint);
  });
};

exports.default = server;